Bug 1082305 - Mesa: misc Mesa 8.0 patches
Mesa: misc Mesa 8.0 patches
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: X.Org
Current
Other Other
: P2 - High : Normal (vote)
: ---
Assigned To: Stefan Dirsch
E-mail List
:
Depends on:
Blocks: 1082292
  Show dependency treegraph
 
Reported: 2018-02-22 14:26 UTC by Stefan Dirsch
Modified: 2018-06-21 21:36 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Dirsch 2018-02-22 14:26:48 UTC
- misc Mesa 8.0 patches
Originally from Redhat/Fedora - yet they no longer carry them. Drop as
well or upstream?
Comment 1 Michal Srb 2018-02-23 10:56:02 UTC
I had a quick look at the patches:

* u_mesa-8.0-llvmpipe-shmget.patch:
Optimization, not a fix. It makes sense to use SHM if available. Mesa actually  has a TODO comment in drisw.c that says SHM should be eventually used.

However, I am surprised that the patch implements SHM only for the getImage, not for putImage. As far as I can tell, putImage is called much more often in regular OpenGL application. In my quick test with few apps, only putImage was called, getImage never.

Reportedly this implementation is not fully functional, it was "temporarily" removed from Fedora and we do not apply the patch since 2013 either. So I say we should delete these patches from our package (they were not applied for about 5 years now). It would be nice to implement the feature in Mesa eventually and these patches could serve as inspiration, but I would not consider preparing them for upstreaming at the moment.

* u_mesa-8.0.1-fix-16bpp.patch:
Just a fix on top of u_mesa-8.0-llvmpipe-shmget.patch. Without that patch, this fix is not needed.
Comment 2 Stefan Dirsch 2018-02-23 14:39:25 UTC
both patches removed
Comment 4 Swamp Workflow Management 2018-02-23 15:40:18 UTC
This is an autogenerated message for OBS integration:
This bug (1082305) was mentioned in
https://build.opensuse.org/request/show/579528 Factory / Mesa